import 'package:flutter/cupertino.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../../resource/colors.gen.dart';

/// 报告段落
class ReportSectionWidget extends StatelessWidget {
  final String selection;

  const ReportSectionWidget({required this.selection, super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        // 圆点
        Container(
          width: 3.w,
          height: 3.w,
          margin: EdgeInsets.symmetric(vertical: 9, horizontal: 8),
          decoration: BoxDecoration(
            color: ColorName.black72,
            shape: BoxShape.circle,
          ),
        ),
        // 段落
        // Flexible，自动换行
        Flexible(
          child: Text(
            selection,
            style: TextStyle(
              fontSize: 14.sp,
              fontWeight: FontWeight.w500,
              color: ColorName.black72,
            ),
          ),
        ),
      ],
    );
  }
}
